Subject: bug#32738: 26.1.50; 'read-answer' allows only single characters as short answers

From: Eli Zaretskii <[email-masked]>
Date: Sun, 16 Sep 2018 19:51:54 +0300

> From: Juri Linkov <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 16 Sep 2018 01:42:37 +0300
> 
> Do you think it should support only characters with modifiers like C-M-h,
> or also key sequences?  I guess the latter since this will lift all
> restrictions on the KEY arg of define-key.

Yes, I agree.

> -                                   (format "%c" (nth 1 a))
> +                                   (if (characterp (nth 1 a))
> +                                       (format "%c" (nth 1 a))
> +                                     (key-description (nth 1 a)))

This will still display C-a s ^A.  I suggest to use
single-key-description instead.

Thanks.